use randomize::formulas::sm64;

#[test]
fn test_sm64() {
  // a hex example
  assert_eq!(sm64(0xDEAF), 0x2917);

  // some decimal examples
  assert_eq!(sm64(1), 32385);
  assert_eq!(sm64(2), 57719);
  assert_eq!(sm64(3), 32642);
  assert_eq!(sm64(4), 57970);
  assert_eq!(sm64(5), 31879);
  assert_eq!(sm64(6), 58225);
  assert_eq!(sm64(7), 32132);
  assert_eq!(sm64(8), 58488);
  assert_eq!(sm64(9), 31373);

  // the special cases
  assert_eq!(sm64(22026), 57460);
  assert_eq!(sm64(21674), 0);
}
